Get User Projects
GET
/api/data/projects
const url = 'https://example.com/api/data/projects';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/data/projectsReturns all projects where the current user has access, including each file and its associated target language metadata.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Get User Projects Api Data Projects Get
Array<object>
UserProjectSummaryobject
project_id
required
Project Id
Primary external time-ordered UUIDv7 identifier
string
name
required
Name
Display name of the project
string
continuous
required
Continuous
Whether this is a continuous project
boolean
status
Any of:
ProjectState
string
null
state
Any of:
ProjectState
string
null
files
required
Files
Files associated with this project
Array<object>
ProjectFileInfoobject
file_name
required
File Name
Original filename
string
targets
required
Targets
Targets configured for this file
Array<object>
ProjectTargetInfoExample
[ { "continuous": false, "deadline": 1736208000, "edit_time": 1735689600, "edit_user": "pm@example.com", "files": [ { "file_name": "brochure.docx", "file_uuid": "0195f5c8-5c2a-7b58-b3f5-9d5c8e4f1a24", "source_lang": "eng", "targets": [ { "deadline": 1736110000, "last_edit_time": 1735800000, "row_count": 120, "target_lang": "fra", "target_uuid": "0195f5c8-5c2a-7b58-b3f5-9d5c8e4f1a25", "user_role": "project_manager" } ] } ], "name": "Marketing Brochure", "project_id": "0195f5c8-5c2a-7b58-b3f5-9d5c8e4f1a23", "state": "active", "status": "active", "user_role": "project_manager" }]